import { createSelector } from "reselect";

const selectApplication = (state) => state.application;

export const selectWatcherStatus = createSelector(
  [selectApplication],
  (application) => application.watcherStatus
);

export const selectWatchedPaths = createSelector(
  [selectApplication],
  (application) => application.watchedPaths
);

export const selectWatcherError = createSelector(
  [selectApplication],
  (application) => application.watcherError
);
export const selectSelectedJobId = createSelector(
  [selectApplication],
  (application) => application.selectedJobId
);
